"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeUndefinedProperties = void 0;
/**
 * Removes undefined properties from a JSON schema, s.t. the JSON matches the shape of the javascript object
 * @param schema the json schema
 */
function removeUndefinedProperties(schema) {
    if (Array.isArray(schema)) {
        schema.forEach(removeUndefinedProperties);
    }
    else if (typeof schema === "object" && schema !== null) {
        for (const k of Object.keys(schema)) {
            if (schema[k] === undefined) {
                delete schema[k];
            }
            else {
                removeUndefinedProperties(schema[k]);
            }
        }
    }
    return schema;
}
exports.removeUndefinedProperties = removeUndefinedProperties;
//# sourceMappingURL=remove-undefined-properties.js.map